## cascading.platform
Class PlatformRunner

    java.lang.Object
      org.junit.runner.Runner
          org.junit.runners.ParentRunner<Runner>
              cascading.platform.PlatformRunner

All Implemented Interfaces:
  Describable, Filterable, Sortable

    public class PlatformRunner

extends ParentRunner<Runner>

Class ParentRunner is a JUnit `Runner` sub-class for injecting different platform and planners into the *PlatformTest classes.

It works by loading the `platform.classname` property from the `cascading/platform/platform.properties` resource. Every new platform should provide this resource.

To test against a specific platform, simply make sure the above resource for the platform in question is in the test CLASSPATH. The simplest way is to add it as a dependency.

Nested Class Summary
`static interface` `PlatformRunner.Platform`

Field Summary
`static String` `PLATFORM_CLASSNAME`
`static String` `PLATFORM_INCLUDES`
`static String` `PLATFORM_RESOURCE`

Constructor Summary
`PlatformRunner(Class<PlatformTestCase> testClass)`

Method Summary
`protected Description` `describeChild(Runner runner)`
`protected List<Runner>` `getChildren()`
`protected static Set<Class<? extends TestPlatform>>` `getPlatformClassesFromClasspath(ClassLoader classLoader)`
`static TestPlatform` `makeInstance(Class<? extends TestPlatform> type)`
`protected void` `runChild(Runner runner, RunNotifier runNotifier)`

Methods inherited from class org.junit.runners.ParentRunner
`childrenInvoker, classBlock, classRules, collectInitializationErrors, filter, getDescription, getName, getRunnerAnnotations, getTestClass, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses`

Methods inherited from class org.junit.runner.Runner
`testCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLATFORM_INCLUDES

    public static final String PLATFORM_INCLUDES

See Also:
  Constant Field Values

### PLATFORM_RESOURCE

    public static final String PLATFORM_RESOURCE

See Also:
  Constant Field Values

### PLATFORM_CLASSNAME

    public static final String PLATFORM_CLASSNAME

See Also:
  Constant Field Values

Constructor Detail

### PlatformRunner

    public PlatformRunner(Class<PlatformTestCase> testClass)
                   throws Throwable

Throws:
  `Throwable`

Method Detail

### makeInstance

    public static TestPlatform makeInstance(Class<? extends TestPlatform> type)

### getChildren

    protected List<Runner> getChildren()

  Specified by:
    `getChildren` in class `ParentRunner<Runner>`

### getPlatformClassesFromClasspath

    protected static Set<Class<? extends TestPlatform>> getPlatformClassesFromClasspath(ClassLoader classLoader)
                                                                                 throws IOException,
                                                                                        ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### describeChild

    protected Description describeChild(Runner runner)

  Specified by:
    `describeChild` in class `ParentRunner<Runner>`

### runChild

    protected void runChild(Runner runner,
                            RunNotifier runNotifier)

  Specified by:
    `runChild` in class `ParentRunner<Runner>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.